Skip to content

updateSalesRFQ

WRITE

Update sales r f q.

POST /api/v1/sales/updateSalesRFQ
curl -X POST '<your-host>/api/v1/sales/updateSalesRFQ' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Draft""Ready for Quote""Quoted""Closed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "customerId": {
      "type": "string"
    },
    "customerContactId": {
      "type": [
        "string",
        "null"
      ]
    },
    "customerEngineeringContactId": {
      "type": [
        "string",
        "null"
      ]
    },
    "customerLocationId": {
      "type": [
        "string",
        "null"
      ]
    },
    "customerReference": {
      "type": [
        "string",
        "null"
      ]
    },
    "rfqDate": {
      "type": "string"
    },
    "expirationDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "locationId": {
      "type": "string"
    },
    "salesPersonId": {
      "type": [
        "string",
        "null"
      ]
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Ready for Quote",
        "Quoted",
        "Closed"
      ]
    },
    "notes": {
      "type": [
        "string",
        "null"
      ]
    },
    "customFields": {}
  },
  "required": [
    "id"
  ]
}